local locale = "en";

S = { };
S.CommandClear		= { en = "clear", de = "s\195\164ubern", fr = "d\195\169barrasser" };
S.CommandLoad		= { en = "load", de = "laden", fr = "charger" };
S.CommandLoaded		= { en = "loaded", de = "geladen", fr = "charg\195\169" };
S.CommandOptions	= { en = "options", de = "optionen", fr = "options" };
S.CommandNotFound	= { en = "not found", de = "nicht gefunden", fr = "introuvable" };
S.CommandCommandS	= { en = "pf", de = "pf", fr = "pfr" };
S.CommandHelpL		= { en = "Usage: /pf <clear|load <name>|options>",
					    de = "Verwendung: /pf <s\195\164ubern|laden <name>|optionen>",
						fr = "Utilisation: /pfr <d\195\169barrasser|charger <nom>|options>"};

S.EffectCMCut		= { en = "Cut", de = "Ausschneiden", fr = "Couper" };
S.EffectCMCopy		= { en = "Copy", de = "Kopieren", fr = "Copier" };
S.EffectCMPaste		= { en = "Paste", de = "Einf\195\188gen", fr = "Coller" };
S.EffectCMDelete	= { en = "Delete", de = "L\195\182schen", fr = "Supprimer" };
S.EffectCMInsert	= { en = "Insert", de = "Hinzuf\195\188gen", fr = "Ins\195\169rer" };
S.EffectCMDebuff	= { en = "Debuff", de = "Schw\195\164chung", fr = "Affaiblissement" };
S.EffectCMSave		= { en = "Save", de = "Speichern", fr = "Enregistrer" };
S.EffectCMNewGroup	= { en = "New Group", de = "Neu Gruppe", fr = "Nouveau Groupe" };

S.EffectButtonClear		= { en = "Clear", de = "S\195\164ubern", fr = "D\195\169barrasser" };
S.EffectButtonDefault	= { en = "Default", de = "Standard", fr = "Par D\195\169faut" };

S.EffectTypeExistent	= { en = "Existent", de = "Existent", fr = "Existant" };
S.EffectTypeMissing		= { en = "Missing", de = "Abwesend", fr = "Absent" };

S.EffectFieldPower		= { en = "Power", de = "Kraft", fr = "Puissance" };
S.EffectFieldSeconds	= { en = "seconds", de = "sekunden", fr = "secondes" };

S.GroupCMBrightness	= { en = "Brightness", de = "Helligkeit", fr = "Brillance" };
S.GroupCMColor		= { en = "Color", de = "Farbe", fr = "Couleur" };

S.LogNoBuffs		= { en = "No Buffs", de = "Kein St\195\164rkung", fr = "Pas Renfort" };
S.LogNoIconBuffs	= { en = "No Icon Buffs", de = "Kein Symbol St\195\164rkung", fr = "Renfort sans Ic\195\180ne" };
S.LogUnknownBuffs	= { en = "Unknown Buffs", de = "Unbekannt St\195\164rkung", fr = "Renfort Inconnu" };
S.LogAllBuffs		= { en = "All Buffs", de = "Alle St\195\164rkung", fr = "Tous Renfort"  };

S.LogNoDebuffs		= { en = "No Debuffs", de = "Kein Schw\195\164chung", fr = "Pas Affaiblissement" };
S.LogNoIconDebuffs	= { en = "No Icon Debuffs", de = "Kein Symbol Schw\195\164chung", fr = "Affaiblissement sans Ic\195\180ne" };
S.LogUnknownDebuffs	= { en = "Unknown Debuffs", de = "Kein Unbekannt Schw\195\164chung", fr = "Affaiblissement Inconnu"  };
S.LogAllDebuffs		= { en = "All Debuffs", de = "Alle Schw\195\164chung", fr = "Tous Affaiblissement"  };

S.SetupButtonSave	= { en = "Save", de = "Speichern", fr = "Enregistrer" };
S.SetupButtonLoad	= { en = "Load", de = "Laden", fr = "Charger" };
S.SetupButtonDelete	= { en = "Delete", de = "L\195\182schen", fr = "Supprimer" };

S.PartyFrameCMGridDown	= { en = "Grid Down", de = "Gitter Unten", fr = "Trellis en bas" };
S.PartyFrameCMGridLeft	= { en = "Grid Left", de = "Gitter Links", fr = "Trellis Gauche"  };
S.PartyFrameCMGridRight	= { en = "Grid Right", de = "Gitter Recht", fr = "Trellis Droit"  };
S.PartyFrameCMGridUp	= { en = "Grid Up", de = "Gitter Oben", fr = "Trellis en haut" };
S.PartyFrameCMLineDown	= { en = "Line Down", de = "Zeile Unten", fr = "Rang\195\169e en bas" };
S.PartyFrameCMLineUp	= { en = "Line Up", de = "Zeile Oben", fr = "Rang\195\169e en haut" };

S.MemberVitalCMHidePet	= { en = "Hide Companion", de = "Maskieren Begleiter", fr = "Masquer Compagnon" };
S.MemberVitalCMPetAbove	= { en = "Companion Above", de = "Begleiter Oben", fr = "Compagnon en haut" };
S.MemberVitalCMPetBelow	= { en = "Companion Below", de = "Begleiter Unten", fr = "Compagnon en bas" };
S.MemberVitalCMPetLeft	= { en = "Companion Left", de = "Begleiter Links", fr = "Compagnon Gauche" };
S.MemberVitalCMPetRight	= { en = "Companion Right", de = "Begleiter Recht", fr = "Compagnon Droit" };

S.EffectFieldDebuff	= { en = "Debuff", de = "Schw\195\164chung", fr = "Affaiblissement" };
S.EffectFieldClass	= { en = "Classes", de = "Klassen", fr = "Classes" };
S.EffectFieldStatus	= { en = "Status", de = "Zustand", fr = "Condition" };

S.RollMessage	= { en = "^(.*) rolled %(100%): ([0-9]*)$", de = "^(.*) wurfelt %(100%): ([0-9]*)$", fr = "^(.*) a obtenu %(100%)\194\160: ([0-9]*)$" };

SE = { };
SE.Disease		= { en = "<disease>", de = "<krankheit>", fr = "<maladie>" };
SE.Fear			= { en = "<fear>", de = "<furcht>", fr = "<peur>" };
SE.Poison		= { en = "<poison>", de = "<gift>", fr = "<poison>" };
SE.Wound		= { en = "<wound>", de = "<wunde>", fr = "<blessure>" };
SE.Cure			= { en = "<curable>", de = "<heilbar>", fr = "<curable>" };
SE.ICure		= { en = "<incurable>", de = "<unheilbar>", fr = "<incurable>" };
SE.DiseaseCure	= { en = "<curable disease>", de = "<heilbar krankheit>", fr = "<maladie curable>" };
SE.FearCure		= { en = "<curable fear>", de = "<heilbar furcht>", fr = "<peur curable>" };
SE.PoisonCure	= { en = "<curable poison>", de = "<heilbar gift>", fr = "<poison curable>" };
SE.WoundCure	= { en = "<curable wound>", de = "<heilbar wunde>", fr = "<blessure curable>" };
SE.DiseaseICure	= { en = "<incurable disease>", de = "<unheilbar krankheit>", fr = "<maladie incurable>" };
SE.FearICure	= { en = "<incurable fear>", de = "<unheilbar furcht>", fr = "<peur incurable>" };
SE.PoisonICure	= { en = "<incurable poison>", de = "<unheilbar gift>", fr = "<poison incurable>" };
SE.WoundICure	= { en = "<incurable wound>", de = "<unheilabr wunde>", fr = "<blessure incurable>" };

SE.Burglar		= { en = "[burglar]", de = "[schurke]", fr = "[cambrioleur]" };
SE.Captain		= { en = "[captain]", de = "[hauptmann]", fr = "[capitaine]" };
SE.Champion		= { en = "[champion]", de = "[waffenmeister]", fr = "[champion]" };
SE.Guardian		= { en = "[guardian]", de = "[w\195\164chter]", fr = "[gardien]" };
SE.Hunter		= { en = "[hunter]", de = "[j\195\164ger]", fr = "[chasseur]" };
SE.LoreMaster	= { en = "[lore master]", de = "[kundiger]", fr = "[me du savoir]" };
SE.Minstrel		= { en = "[minstrel]", de = "[barde]", fr = "[m\195\169nestrel]" };
SE.RuneKeeper	= { en = "[rune keeper]", de = "[runenbewahrer]", fr = "[gardien des runes]" };
SE.Warden		= { en = "[warden]", de = "[h\195\188ter]", fr = "[sentinelle]" };

SE.LinkDead_true	= { en = "[linkdead]", de = "[verbond nicht]", fr = "[pas connexion]" };
SE.LinkDead_false	= { en = "[connected]", de = "[verbond]", fr = "[connexion]" };
SE.Voice_true		= { en = "[voice]", de = "[sprach]", fr = "[voix]" };
SE.Voice_false		= { en = "[no voice]", de = "[sprach nicht]", fr = "[pas voix]" };
SE.Talking_true		= { en = "[talking]", de = "[sprechend]", fr = "[parlant]" };
SE.Talking_false	= { en = "[not talking]", de = "[sprechend nicht]", fr = "[ne parlant pas]" };
SE.Leader_true		= { en = "[leader]", de = "[anf\195\188hrer]", fr = "[leader]" };
SE.Leader_false		= { en = "[member]", de = "[gef\195\164hrten]", fr = "[membre]" };
SE.Morale			= { en = "[morale]", de = "[moral]", fr = "[moral]" };
SE.Power			= { en = "[power]", de = "[kraft]", fr = "[puissance]" };
SE.Default			= { en = "[default]", de = "[standard]", fr = "[par d\195\169faut]" };
SE.Player			= { en = "[player]", de = "[spieler]", fr = "[joueur]" };
SE.Pet				= { en = "[companion]", de = "[begleiter]", fr = "[compagnon]" };

SE["Ready_" .. Turbine.Gameplay.ReadyState.Ready]		= { en = "[ready]", de = "[bereitschafts]", fr = "[pr\195\169par\195\169]" };
SE["Ready_" .. Turbine.Gameplay.ReadyState.NotReady]	= { en = "[not ready]", de = "[nicht bereitschafts]", fr = "[ne pr\195\169par\195\169 pas]" };
SE["Ready_" .. Turbine.Gameplay.ReadyState.Unknown]		= { en = "[unknown ready]", de = "[unbekannt beritschafts]", fr = "[pr\195\169par\195\169 inconnu]" };

TME = {
	{ en = "Word of Exaltation", de = "Wort des Hochgef\195\188hls", fr = "Mot d'exaltation" },
	{ en = "Joy of Battle", de = "Freude der Schlacht", fr = "Beaut\195\169 du combat" },
	{ en = "Glory of Battle", de = "Ruhm der Schlacht", fr = "Gloire du combat" },
	{ en = "Sudden Defence", de = "Pl\195\182tzliche Verteidigung", fr = "D\195\169fense soudaine" },
	{ en = "Song of the Hammerhand", de = "Lied der Hammerhand", fr = "Chant du Poing de Marteau" },
	{ en = "Gift of the Hammerhand", de = "Gabe der Hammerhand", fr = "Don du Poing de Marteau" }
};

SRE = {
	{ debuff =  true, icon = 0x410D8360,
	  en = "Dazed", de = "Benommenheit", fr = "H\195\169b\195\169tement" },
	{ debuff =  true, icon = 0x410D7BA0,
	  en = "Feared", de = "Gef\195\188rchtet", fr = "Redoutable" },
	{ debuff =  true, icon = 0x4100823F,
	  en = "Knocked Down", de = "Zu Boden geschlagen", fr = "Renvers\195\169" },
	{ debuff =  true, icon = 0x4100823F,
	  en = "Knocked Out", de = "Bewusstlos geschlagen", fr = "Assomm\195\169" },
	{ debuff =  true, icon = 0x4100823D,
	  en = "Rooted", de = "Angewurzelt", fr = "Immobilis\195\169" },
	{ debuff =  true, icon = 0x4100823F,
	  en = "Stunned", de = "Bet\195\164ubt", fr = "Etourdissement" },
	{ debuff =  true, icon = 0x41008214,
	  en = "Vulnerable", de = "Verwundbar", fr = "Vuln\195\169rabilt\195\169" },
	{ debuff = false, icon = 0x410E7686,
	  en = "Recovering", de = "Erholen", fr = "R\195\169cup\195\169ration" },

	{ debuff = false, icon = 0x410DAF06,
	  en = "Signal: Conviction", de = "Signal: \195\156berzeugung", fr = "Signal de conviction" },
	{ debuff = false, icon = 0x410DAF0A,
	  en = "Signal: Guile", de = "Signal: List", fr = "Signal de ruse" },
	{ debuff = false, icon = 0x410DAF02,
	  en = "Signal: Strength", de = "Signal: St\195\164rke", fr = "Signal de force" },
	{ debuff = false, icon = 0x410DAF0E,
	  en = "Signal: Tactics", de = "Signal: Taktik", fr = "Signal de tactique" },

	{ debuff = false, icon = 0x411167F0,
	  en = "Blade-brother", de = "Klingenbruder", fr = "Fr\195\168re d'armes" },
	{ debuff = false, icon = 0x410087BB,
	  en = "Focus", de = "Fokus", fr = "Concentration" },
	{ debuff = false, icon = 0x411167F2,
	  en = "Inspired (Blade-brother)", de = "Inspiriert (Klingenbruder)", fr = "Inspiration (Fr\195\168re d'armes)" },
	{ debuff = false, icon = 0x411167F2,
	  en = "Inspired (Fellowship Blade-brother)", de = "Inspiriert (Gef\195\164hrtengruppen-Klingenbruder)", fr = "Inspiration (Communaut\195\169 de Fr\195\168res d'armes)" },
	{ debuff = false, icon = 0x4107E9F1,
	  en = "Inspired (Fellowship Shield-brother)", de = "Inspirierte Gef\195\164hrten-Gruppe", fr = "Inspiration de communaut\195\169" },
	{ debuff = false, icon = 0x411167F1,
	  en = "Inspired (Fellowship Song-brother)", de = "Inspiriert (Gef\195\164hrtengruppen-Liedbruder)", fr = "Inspiration de communaut\195\169 (Communaut\195\169 de Fr\195\168res de chants)" },
	{ debuff = false, icon = 0x4107E9F1,
	  en = "Inspired (Shield-brother)", de = "Inspiriert", fr = "Inspiration" },
	{ debuff = false, icon = 0x411167F1,
	  en = "Inspired (Song-brother)", de = "Inspiriert (Liedbruder)", fr = "Inspiration (Fr\195\168re de chants)" },
	{ debuff = false, icon = 0x4109B53E,
	  en = "Light of Elendil", de = "Licht Elendils", fr = "Lumi\195\168re d'Elendil" },
	{ debuff = false, icon = 0x4100371F,
	  en = "Make Haste", de = "Beeilung", fr = "Rapidit\195\169" },
	{ debuff = false, icon = 0x410087B4,
	  en = "Motivated", de = "Motiviert", fr = "Motivation" },
	{ debuff = false, icon = 0x410087B5,
	  en = "On Guard", de = "In Bereitschaft", fr = "En garde" },
	{ debuff = false, icon = 0x41005609,
	  en = "Rallying Cry", de = "Siegesschrei: Moral", fr = "Cri de victoire\194\160: Moral" },
	{ debuff = false, icon = 0x410087B7,
	  en = "Relentless Attack", de = "Gnadenloser Angriff", fr = "Attaque acharn\195\169e" },
	{ debuff = false, icon = 0x41104588,
	  en = "Shield-brother", de = "Schildbruder", fr = "Fr\195\168re de bouclier" },
	{ debuff = false, icon = 0x411167EF,
	  en = "Song-brother", de = "Liedbruder", fr = "Fr\195\168re de chants" },
	{ debuff = false, icon = 0x411167F4,
	  en = "Strength of Will (Blade-brother)", de = "Willenskraft (Klingenbruder)", fr = "Force de volont\195\169 (Fr\195\168re d'armes)" },
	{ debuff = false, icon = 0x411167F4,
	  en = "Strength of Will (Fellowship Blade-brother)", de = "Willenskraft (Gef\195\164hrtengruppen-Klingenbruder)", fr = "Force de volont\195\169 (Communaut\195\169 de Fr\195\168res d'armes)" },
	{ debuff = false, icon = 0x410D3FFA,
	  en = "Strength of Will (Fellowship Shield-brother)", de = "Willenskraft", fr = "Volont\195\169" },
	{ debuff = false, icon = 0x411167F3,
	  en = "Strength of Will (Fellowship Song-brother)", de = "Willenskraft (Gef\195\164hrtengruppen-Liedbruder)", fr = "Force de volont\195\169 (Communaut\195\169 de Fr\195\168res de chants)" },
	{ debuff = false, icon = 0x410D3FFA,
	  en = "Strength of Will (Shield-brother)", de = "Willenskraft", fr = "Volont\195\169" },
	{ debuff = false, icon = 0x411167F3,
	  en = "Strength of Will (Song-brother)", de = "Willenskraft (Liedbruder)", fr = "Force de volont\195\169 (Fr\195\168re de chants)" },
	{ debuff = false, icon = 0x4107E9F2,
	  en = "To Arms (Blade-brother)", de = "Zu den Waffen (Klingenbruder)", fr = "Aux armes\194\160! (Fr\195\168re d'armes)" },
	{ debuff = false, icon = 0x4107E9F2,
	  en = "To Arms (Fellowship Blade-brother)", de = "Zu den Waffen (Gef\195\164hrtengruppen-Klingenbruder)", fr = "Aux-armes (Communaut\195\169 de Fr\195\168res d'armes)" },
	{ debuff = false, icon = 0x411167F5,
	  en = "To Arms (Fellowship Shield-brother)", de = "Zu den Waffen", fr = "Aux-armes\194\160!" },
	{ debuff = false, icon = 0x411167F6,
	  en = "To Arms (Fellowship Song-brother)", de = "Zu den Waffen (Gef\195\164hrtengruppen-Liedbruder)", fr = "Aux-armes (Communaut\195\169 de Fr\195\168res de chants)" },
	{ debuff = false, icon = 0x411167F5,
	  en = "To Arms (Shield-brother)", de = "Zu den Waffen", fr = "Aux-armes\194\160!" },
	{ debuff = false, icon = 0x411167F6,
	  en = "To Arms (Song-brother)", de = "Zu den Waffen (Liedbruder)", fr = "Aux armes\194\160! (Fr\195\168re de chants)" },
	{ debuff = false, icon = 0x410E68E8,
	  en = "Valiant Strike", de = "Tapferer Schlag", fr = "Coup vaillant" },
	{ debuff = false, icon = 0x4100560F,
	  en = "War-cry", de = "Kriegsschrei", fr = "Cri de guerre" },
	{ debuff = false, icon = 0x41104588,
	  en = "Watchful Shield-brother", de = "Wachsamer Schildbruder", fr = "Fr\195\168re de bouclier vigilant" },
	{ debuff = false, icon = 0x4100561B,
	  en = "Words of Courage", de = "Worte der Ermutigung", fr = "Paroles de courage" },

	{ debuff = false, icon = 0x41005678,
	  en = "Protection", de = "Schutz", fr = "Protection" },
	{ debuff = false, icon = 0x4111735D,
	  en = "Protection by the Sword", de = "Schutz durch das Schwert", fr = "Protection par l'\195\169p\195\169e" },
	{ debuff = false, icon = 0x410DAEF3,
	  en = "Shield Wall", de = "Schildwall", fr = "Mur de boucliers" },

	{ debuff = false, icon = 0x41008859,
	  en = "Cleanse Poison Resistance", de = "Giftresistenz nach \\Gift neutralisieren\"", fr = "R\195\169sistance de purification du poison" },
	{ debuff = false, icon = 0x41008858,
	  en = "Find the Path", de = "Weg finden", fr = "Orientation" },

	{ debuff = false, icon = 0x4110458C,
	  en = "Charged Air", de = "Prickelnde Luft", fr = "Air \195\169lectrique" },
	{ debuff = false, icon = 0x4100881A,
	  en = "Sign of Power: Righteousness", de = "Z.d.M.: Rechtschaffenheit", fr = "Signe du pouvoir\194\160:\nInt\195\169grit\195\169" },
	{ debuff = false, icon = 0x4100881B,
	  en = "Sign of Power: Vigilance", de = "Z. d. Macht: Wachsamkeit", fr = "Signe du pouvoir\194\160:\nVigilance" },

	{ debuff = false, icon = 0x410087C6,
	  en = "Anthem of Composure", de = "Hymne der Selbstbeherrschung", fr = "Hymne de contenance" },
	{ debuff = false, icon = 0x41005618,
	  en = "Anthem of the Free People", de = "Hymne der freien V\195\182lker", fr = "Hymne des Peuples Libres" },
	{ debuff = false, icon = 0x410087C5,
	  en = "Anthem of Prowess", de = "Hymne der T\195\188chtigkeit", fr = "Hymne aux prouesses" },
	{ debuff = false, icon = 0x410056AE,
	  en = "Anthem of War", de = "Hymne des Krieges", fr = "Hymne de guerre" },
	{ debuff = false, icon = 0x41004E8F,
	  en = "Enlivening Chord", de = "Belebender Akkord", fr = "Accord enjou\195\169" },
	{ debuff = false, icon = 0x4100A4E2,
	  en = "Fellowship's Heart", de = "Herz der Gef\195\164hrten", fr = "C\197\147ur de la communaut\195\169" },
	{ debuff = false, icon = 0x410D715F,
	  en = "Improved Tale of Battle", de = "Verbesserung: Geschichte des Gefechts", fr = "Epop\195\169e de combat am\195\169lior\195\169e" },
	{ debuff = false, icon = 0x410D7160,
	  en = "Improved Tale of Warding", de = "Verbesserung: Geschichte der Bewachung", fr = "Epop\195\169e de protection am\195\169lior\195\169e" },
	{ debuff = false, icon = 0x410087C7,
	  en = "Inspire Fellows Buff", de = "St\195\164rkung durch \"Gef\195\164hrten inspirieren\"", fr = "Inspiration de renforts" },
	{ debuff = false, icon = 0x410E3A1F,
	  en = "Soliloquy of Spirit", de = "Selbstgespr\195\164ch des Geistes", fr = "Esprit de soliloque" },
	{ debuff = false, icon = 0x410D715F,
	  en = "Tale of Battle", de = "Geschichte des Gefechts", fr = "Epop\195\169e de combat" },
	{ debuff = false, icon = 0x410E3A26,
	  en = "Tale of Frost and Flame", de = "Geschichte vom Frost- und Flammengefecht", fr = "Epop\195\169e du froid et du feu" },
	{ debuff = false, icon = 0x410087D2,
	  en = "Tale of Heroism", de = "Heldensage", fr = "Epop\195\169e h\195\169ro\195\175que" },
	{ debuff = false, icon = 0x410D7160,
	  en = "Tale of Warding", de = "Geschichte der Bewachung", fr = "Epop\195\169e de protection" },
	{ debuff = false, icon = 0x410D7160,
	  en = "Tale of Warding and Hope", de = "Geschichte der Bewachung und Hoffnung", fr = "Epop\195\169e de protection et d'espoir" },
	{ debuff = false, icon = 0x410D73F5,
	  en = "The Melody of Battle", de = "Melodie des Kampfes", fr = "M\195\169lodie de bataille" },
	{ debuff = false, icon = 0x4100A4E2,
	  en = "Valar's Grace", de = "Anmut der Valar", fr = "Gr\195\162ce des Valar" },
	{ debuff = false, icon = 0x410087D5,
	  en = "Words of Courage: Fear Resistance", de = "Worte der Ermutigung: Furchtresistenz", fr = "Paroles de courage\194\160: r\195\169sistance \195\160 la peur" },

	{ debuff = false, icon = 0x410EA22F,
	  en = "Do not fall to Fire", de = "Feuer nicht unterliegen", fr = "Tu ne succomberas pas au feu" },
	{ debuff = false, icon = 0x410EA234,
	  en = "Do not fall to Frost", de = "Frost nicht unterliegen", fr = "Tu ne succomberas pas au froid" },
	{ debuff = false, icon = 0x410EA235,
	  en = "Do not fall to Lightning", de = "Blitz nicht unterliegen", fr = "Tu ne succomberas pas \195\160 la foudre" },
	{ debuff = false, icon = 0x410E44DC,
	  en = "Do Not Fall This Day", de = "Tod heute nicht unterligen", fr = "Tu ne succomberas pas aujourd'hui" },
	{ debuff = false, icon = 0x410F3580,
	  en = "Essay of Exaltation", de = "Abhandlung des Hochgef\195\188hls", fr = "Essai d'exaltation" },
	{ debuff = false, icon = 0x410F23E9,
	  en = "Glorious Foreshadowing", de = "Glorreiche Ahnungen", fr = "Pr\195\169sage glorieux" },
	{ debuff = false, icon = 0x4110458E,
	  en = "Improved Rune-sign of Flame", de = "Verbessertes Runenzeichen der Flamme", fr = "Signe runique am\195\169lior\195\169 de flammes" },
	{ debuff = false, icon = 0x41104590,
	  en = "Improved Rune-sign of Storm", de = "Verbessertes Runenzeichen des Sturms", fr = "Signe runique am\195\169lior\195\169 de l'orage" },
	{ debuff = false, icon = 0x4110458F,
	  en = "Improved Rune-sign of Winter", de = "Verbessertes Runenzeichen des Winters", fr = "Signe runique am\195\169lior\195\169 de l'hiver" },
	{ debuff = false, icon = 0x410E44D4,
	  en = "Mending Verse", de = "Heilender Vers", fr = "Vers de r\195\169paration" },
	{ debuff = false, icon = 0x410E44D7,
	  en = "Prelude to Hope", de = "Pr\195\164ludium der Hoffnung", fr = "Pr\195\169lude \195\160 l'espoir" },
	{ debuff = false, icon = 0x410E44CE,
	  en = "Rousing Words", de = "Mitrei\195\159ende Worte", fr = "Mots d'encouragement" },
	{ debuff = false, icon = 0x4110458E,
	  en = "Rune-sign of Flame", de = "Runenzeichen der Flamme", fr = "Signe runique de flammes" },
	{ debuff = false, icon = 0x41104590,
	  en = "Rune-sign of Storm", de = "Runenzeichen des Sturms", fr = "Signe runique de l'orage" },
	{ debuff = false, icon = 0x4110458F,
	  en = "Rune-sign of Winter", de = "Runenzeichen des Winters", fr = "Signe runique de l'hiver" },
	{ debuff = false, icon = 0x410F23E6,
	  en = "That Which Does Not Kill Us", de = "Was uns nicht t\195\182tet", fr = "Ce qui ne nous tue pas" },
	{ debuff = false, icon = 0x410F23EA,
	  en = "Wondrous Foreshadowing", de = "Wundersame Ahnungen", fr = "Pr\195\169sage merveilleux" },
	{ debuff = false, icon = 0x410EA25B,
	  en = "Writ of Health - Tier 1", de = "Sinnbild der Gesundheit - Stufe 1", fr = "All\195\169gorie de la sant\195\169\194\160- niveau 1" },
	{ debuff = false, icon = 0x410EA25C,
	  en = "Writ of Health - Tier 2", de = "Sinnbild der Gesundheit - Stufe 2", fr = "All\195\169gorie de la sant\195\169\194\160- niveau 2" },
	{ debuff = false, icon = 0x410EA25A,
	  en = "Writ of Health - Tier 3", de = "Sinnbild der Gesundheit - Stufe 3", fr = "All\195\169gorie de la sant\195\169\194\160- niveau 3" },
	{ debuff = false, icon = 0x410E44DC,
	  en = "Shall Not Fall This Day", de = "Tod heute nicht unterligen", fr = "Ne succomberas pas aujourd'hui" },
	{ debuff = false, icon = 0x410E44C9,
	  en = "Their Weapons Shall Not Harm Us", de = "Ihre Waffen werden uns nicht verletze", fr = "Leurs armes sont inoffensives" },
	{ debuff = false, icon = 0x410F3482,
	  en = "Their Weapons Shall Not Harm Us", de = "Ihre Waffen werden uns nicht verletze", fr = "Leurs armes sont inoffensives" },

	{ debuff = false, icon = 0x410EA2A7,
	  en = "Conviction", de = "\195\156berzeugung", fr = "Conviction" },
	{ debuff = false, icon = 0x410E8292,
	  en = "Conviction - Physical Mastery", de = "\195\156berzeugung - Physische Beherrschung", fr = "Conviction - Ma\195\174trise physique" },
	{ debuff = false, icon = 0x410E87A3,
	  en = "Conviction - Threat Reduction", de = "\195\156berzeugung - Bedrohungsreduzierung", fr = "Conviction - R\195\169duction de menace" }
};

if Turbine.Shell.IsCommand("random") then
	locale = "en";
elseif Turbine.Shell.IsCommand("zuf\195\164llig") then
	locale = "de";
elseif Turbine.Shell.IsCommand("d\195\169") then
	locale = "fr";
end

for k, v in pairs(S) do
	if v[locale] ~= nil then
		S[k] = v[locale];
	else
		S[k] = v.en;
	end
end

tempMoraleEffects = { };
for k, v in ipairs(TME) do
	if v[locale] ~= nil then
		tempMoraleEffects[v[locale]] = true;
	else
		tempMoraleEffects[v.en] = true;
	end
end

local E = { };

for k, v in ipairs(SRE) do
	local name = v.en;

	if v[locale] ~= nil then
		name = v[locale]
	end

	for k1, v1 in pairs(v) do
		if k1 ~= "debuff" and k1 ~= "icon" then
			if E[v1] == nil then
				E[v1] = { };
				E[v1].debuff = v.debuff;
				E[v1].icon = { };
				E[v1].name = { };
			end
			E[v1].icon[v.icon] = true;
			E[v1].name[name] = true;
		end
	end
end

for k, v in pairs(SE) do
	local name = v.en;

	if v[locale] ~= nil then
		name = v[locale];
	end

	for k1, v1 in pairs(v) do
		E[v1] = name;
	end

	S["SE_" .. k] = name;
end

for k, v in ipairs(layouts) do
	for _, v1 in pairs(v.layout) do
		if v1.default ~= nil and v1.default.color ~= nil then
			for k2, v2 in ipairs(v1.default.color) do
				for k3, v3 in ipairs(v2) do
					local x, y, status, rest = string.find(v3, "^(%[[^%]]*%])(.*)$");
					if x == 1 then
						if E[status] ~= nil then
							v2[k3] = E[status] .. rest;
						end
					else
						if E[v3] ~= nil then
							v2[k3] = E[v3];
						end
					end
				end
			end
		end

		if v1.label ~= nil then
			if type(v1.label) == "table" then
				if v1.label[locale] ~= nil then
					v1.label = v1.label[locale];
				else
					v1.label = v1.name;
				end
			end
		else
			v1.label = v1.name;
		end
	end

	for _, v1 in pairs(v.class) do
		for _, v2 in pairs(v1) do
			if v2.color ~= nil then
				for _, v3 in ipairs(v2.color) do
					for k4, v4 in ipairs(v3) do
						local x, y, status, rest = string.find(v4, "^(%[[^%]]*%])(.*)$");
						if x == 1 then
							if E[status] ~= nil then
								v3[k4] = E[status] .. rest;
							end
						else
							if E[v4] ~= nil then
								v3[k4] = E[v4];
							end
						end
					end
				end
			end
		end
	end
end

E = nil;
SE = nil;
SRE = nil;
TME = nil;